<?php
#==============================================================================================#
#                                   Name  :  Imperial CHAT                                     #
#                               Made by  :  MaZaFaKa (___хакер___)                             #
#                                  MODED :  vipsds  (   BOT  )                                 #
#                                  ICQ  :  350502220 (vipsds)                                  #
#                                E-mai :  vipsds@wapnn.org                                     #
# По всем вопросам и дополнительным модам обращайтесь на выше указанные данные                 #
#==============================================================================================#
error_reporting(0);
include("config.php");
include("./includes/".$ver."/banned");

$nocache = rand(1000, 9999);
list($msec, $sec) = explode(chr(32), microtime());
$headtime = $sec + $msec;
$ttl="Правила Чата";
switch($ver)
{
////////////////////////////////////////////////////////
//WML VERSION
////////////////////////////////////////////////////////
case 'wml':
header("Content-type: text/vnd.wap.wml; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-relative");

if(isset($_GET['action']))
{
$action = $_GET['action'];
}
else
{
$action = "";
}

echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"Правила\"><p align=\"left\"><small>\n";
if($action == "registration")
{
echo'
При регистрации в "нике" разрешено использовать только знаки латинского/русского алфавита и цифры(кроме 0),<br/> а также символы: @, *, ), (, ?, !, -, ~, пробел, ], [, =.<br/>
Запрещено использовать одновременно русские и латинские знаки.<br/>
В пароле разрешены только знаки латинского алфавита и цифры.<br/>
Также вы должны заполнить все обязательные поля помеченные звездочкой.<br/>';
echo "• <a href=\"/registration/wml/$nocache\">Согласен</a><br/>
• <a href=\"/wml\">Не согласен</a><br/>\n";
echo "$wmlfoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "Speed ".round(($sec+$msec)-$headtime,5)." sec<br/>\n";
echo "</small></p></card></wml>";
exit;
}
else
{
echo'
1) В нашем Чате запрещено использовать ненормативную лексику в любом проявлении, создавать конфликтные ситуации, нагнетать обстановку и оскорблять других пользователей (это правило не распространяется на особые дома "Туалет" и "Туалет Знатаков"). <br/>
2) Государственный язык Чата - русский. Использование других языков допускается лишь в соответствующих Посольствах. <br/>
3) Запрещается спорить с администрацией, споры и оскорбления администрации, карается баном!<br/>
4) Ник Пользователя и его личная информация (в т.ч. фото и музыка) не должны содержать в себе ненормативной лексики, некорректных и оскорбительных высказываний. <br/>
5) Во всех комнатах Чата запрещены флуд, реклама других ресурсов в любом контексте и постоянное немотивированное использование в сообщениях заглавных букв, а также ПрЫжКи РеГиСтРа! <br/>
6) Нарушение любого из пунктов данного Устава будет караться банном, пинком, либо другими видами наказания по усмотрению Модера. Публичное оспаривание действий Модера и препирательства с ним недопустимы. <br/>
7) По достижении 10000 постов Пользователь имеет право на смену ника. <br/>
8) Приватные сообщения становятся доступными при достижении им 100 постов (сообщений в чат) <br/>
9) Смена ника производится Старшими Модерами по просьбе желающего. В случае, если Пользователь не имеет количества постов, необходимого для смены ника, такая просьба считается неправомерной и не рассматривается. <br/>
10) <b>Админы не рассматривают просьбы о смене ников и статусов, равно как и просьбы о присвоении модерских полномочий.</b> <br/>
11) Претензии на действия Модеров принимаются Админами только в том случае, если они противоречили настоящим правилам. Решения Админов являются окончательными и обжалованию не подлежат.
<br/>
***** <br/>
В связи с участившимися случаями воровства ников, администрация Чата настоятельно рекомендует вам НИКОГДА, НИКОМУ и ни при каких обстоятельствах не разглашать свой пароль (даже если требование выслать свой пароль куда-либо исходит якобы от администрации). Вас обязательно обманут!<br/>';
if(!$_GET[SID])
{
echo "• <a href=\"/menu/wml\">Назад</a><br/>\n";
}
else
{
echo "• <a href=\"menu.php?SID=".$_GET[SID]."&amp;ver=wml\">В прихожую</a><br/>\n";
}
echo "<br/>$wmlfoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "Speed ".round(($sec+$msec)-$headtime,5)." sec<br/>\n";
echo "</small></p></card></wml>";
}
break;

////////////////////////////////////////////////////////
//HTML VERSION
////////////////////////////////////////////////////////
case 'html':
header("Content-type: text/html; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-relative");

if(isset($_GET['action']))
{
$action = $_GET['action'];
}
else
{
$action = "";
}

echo"$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">'.$ttl.'</div>';
if($action == "registration")
{
echo'
При регистрации в "нике" разрешено использовать только знаки латинского/русского алфавита и цифры(кроме 0),<br/> а также символы: @, *, ), (, ?, !, -, ~, пробел, ], [, =.<br/>
Запрещено использовать одновременно русские и латинские знаки.<br/>
В пароле разрешены только знаки латинского алфавита и цифры.<br/>
Также вы должны заполнить все обязательные поля помеченные звездочкой.<br/>';
echo'<div class="d1">';
echo "• <a href=\"../../registration/html/$nocache\">Согласен</a><br/>
• <a href=\"/html\">Не согласен</a><br/>\n";
echo'</div>';
echo'<div class="d3">';
echo"$sitefoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "Speed ".round(($sec+$msec)-$headtime,5)." sec<br/>\n";
echo'</div>';
echo "</body></html>";
exit;
}
else
{
echo'
1) В нашем Чате запрещено использовать ненормативную лексику в любом проявлении, создавать конфликтные ситуации, нагнетать обстановку и оскорблять других пользователей (это правило не распространяется на особые дома "Туалет" и "Туалет Знатаков"). <br/>
2) Государственный язык Чата - русский. Использование других языков допускается лишь в соответствующих Посольствах. <br/>
3) Запрещается спорить с администрацией, споры и оскорбления администрации, карается баном!<br/>
4) Ник Пользователя и его личная информация (в т.ч. фото и музыка) не должны содержать в себе ненормативной лексики, некорректных и оскорбительных высказываний. <br/>
5) Во всех комнатах Чата запрещены флуд, реклама других ресурсов в любом контексте и постоянное немотивированное использование в сообщениях заглавных букв, а также ПрЫжКи РеГиСтРа! <br/>
6) Нарушение любого из пунктов данного Устава будет караться банном, пинком, либо другими видами наказания по усмотрению Модера. Публичное оспаривание действий Модера и препирательства с ним недопустимы. <br/>
7) По достижении 10000 постов Пользователь имеет право на смену ника. <br/>
8) Приватные сообщения становятся доступными при достижении им 100 постов (сообщений в чат) <br/>
9) Смена ника производится Старшими Модерами по просьбе желающего. В случае, если Пользователь не имеет количества постов, необходимого для смены ника, такая просьба считается неправомерной и не рассматривается. <br/>
10) <b>Админы не рассматривают просьбы о смене ников и статусов, равно как и просьбы о присвоении модерских полномочий.</b> <br/>
11) Претензии на действия Модеров принимаются Админами только в том случае, если они противоречили настоящим правилам. Решения Админов являются окончательными и обжалованию не подлежат.
<br/>
***** <br/>
В связи с участившимися случаями воровства ников, администрация Чата настоятельно рекомендует вам НИКОГДА, НИКОМУ и ни при каких обстоятельствах не разглашать свой пароль (даже если требование выслать свой пароль куда-либо исходит якобы от администрации). Вас обязательно обманут!<br/>';
if(!$_GET[SID])
{
echo "<div class=\"d1\">• <a href=\"/menu/html\">Назад</a></div>\n";
}
else
{
echo "<div class=\"d1\">• <a href=\"menu.php?SID=".$_GET[SID]."&amp;ver=html\">В прихожую</a></div>\n";
}
echo'<div class="d3">';
echo"$sitefoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "Speed ".round(($sec+$msec)-$headtime,5)." sec<br/>\n";
echo'</div>';
echo "</body></html>";
}
break;
}
?>